module OW_imageIO

use sep 
use OW_type
use OW_parms

implicit none

contains 

subroutine owimage_io(image,ixs)

real, allocatable				:: disk(:,:,:)
real					:: image(:,:,:)
integer					:: ixs


call srite("out",image,4*img%z%n*img%sh%n*img%xm%n)

!if (ixs.eq.1) then
!   call srite("out",disk,4*img%z%n*img%sh%n*img%xm%n)
!else
!   allocate(disk(img%z%n,img%sh%n,img%xm%n))
!   call sreed("out",disk,4*img%z%n*img%sh%n*img%xm%n)
!   disk=disk+image
!   call srite("out",disk,4*img%z%n*img%sh%n*img%xm%n)
!   deallocate(disk)
!end if

end subroutine
end module
